<?php

declare(strict_types=1);

namespace Drupal\mercury_editor_task;

/**
 * The Mercury Editor Task form display builder interface.
 */
interface MercuryEditorTaskFormDisplayBuilderInterface {

  /**
   * Update Mercury Editor form displays.
   *
   * @param bool $force
   *   Force the recreation for form displays for existing bundles.
   *
   * @return bool
   *   TRUE if Mercury Editor form displays have been updated.
   */
  public function update(bool $force = FALSE): bool;

}
